/*
 * Class SPECIAL [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2044 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2044 [] = {0xFF01,1551,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2044 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2044 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2044 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2044 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2044 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2044 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2044 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2044 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2044 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2044 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2044 [] = {2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2044 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2044 [] = {0xFF01,2045,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2044 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2044 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2044 [] = {0xFF01,2071,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2044 [] = {0xFF01,2049,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2044 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2044 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2044 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2044 [] = {0xFF01,2043,842,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2044 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2044 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2044 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_2044[] = {
	{EIF_GENERIC(NULL), 15812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2044), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2044), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2044), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2044), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2044), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2044), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2044), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2044), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2044), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2044), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2044), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2044), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2044), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2044), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2044), 11022, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2044), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15813, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15814, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15815, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2044), 15817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15820, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2044), 15821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2044), 15822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15829, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15831, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15782, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15783, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15784, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15785, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15786, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15787, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15788, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15790, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15791, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15795, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2044), 15796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2044), 15797, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2044), 15798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2044), 15799, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15800, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15801, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15803, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15806, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15807, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15810, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2044), 15816, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2044), 15823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15830, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2044), 15809, 0xFFFFFFFF},
};
void Init2044(void)
{
	IDSC(desc_2044, 0, 2043);
	IDSC(desc_2044 + 1, 1, 2043);
	IDSC(desc_2044 + 32, 1088, 2043);
	IDSC(desc_2044 + 34, 2, 2043);
	IDSC(desc_2044 + 77, 1570, 2043);
	IDSC(desc_2044 + 80, 949, 2043);
	IDSC(desc_2044 + 83, 224, 2043);
}


#ifdef __cplusplus
}
#endif
